{#
    generate html skills from my template in php

    @param array data
#}
{% macro generateSkills(data) %}
    {% for skill in data %}
        <div class="card noborder bg-blue">
            <div class="card-body text-center">
                <p class="card-text">
                    <img class="icon48px" src="{{ skill[1] }}" alt="user">
                </p>
                <p class="card-text bold txt-yellow x-large-font">{{ skill[2] }}</p>
                <p class="card-text bolder text-white x-large-font">{{ skills[3] }}</p>
            </div>
        </div>
    {% endfor %}
{% endmacro %}

{#
    generate all competence progress bars in php
 
    @param array data     
#}
{% macro generateCompetences(data) %}
    {% for competence in data %}
        <div class="progress bg-white" style="height:30px">
            <div class="progress-bar bolder progress-bar-font bg-dark-blue" style="width:{{ competence[2] }}%;height:30px">
                <span class="padding-bottom-3px" data-toggle="tooltip" title="{{ competence[2] }}%">{{ competence[1] }}</span>
            </div>
        </div>
        <br>
    {% endfor %}
{% endmacro %}


{% macro generateSocialMedias(data) %}
    {% for socialmedia in data %}
        <div class="p-4">
            <a href="{{ socialmedia[2] }}">
            <img class="img-fluid fade" src="{{ socialmedia[3] }}" alt="{{ socialmedia[1] }}">
            </a>
        </div>
    {% endfor %}
{% endmacro %}


{% macro generateProjectModals(data) %}
    {% for project in data %}
        <div class="modal" id="modal{{ loop.index - 1 }}">
            <div class="modal-dialog modal-lg">
                <div class="modal-content no-border-radius no-border">
                    <div class="modal-header">
                        <h4 class="modal-title bolder txt-red">{{ project[1] }}</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <h5>Description :</h5>
                        <p>{{ project[2] }}</p>
                        <h5>Main programming language :</h5>
                        <p class="bold txt-red">{{ project[3] }}</p>
                        <h5>View :</h5>
                        <img src="{{ project[5] }}" class="img-fluid" alt="{{ project[5] }}">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn bg-turquoise-green text-white bolder" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}
{% endmacro %}


{% macro generateProjects(data,maxCol) %}
    {% set k = 0 %} 
    {% for project in data %}
        {% if k % 3 == 0 %}
            {% set k = 0 %}
            <div class="row p-4">
        {% endif %}

        {% if k < maxCol %}
            <div class="col-sm p-4">
                <div class="container-fluid">
                    <img src="{{ project[4] }}" data-toggle="modal" data-target="#modal{{ loop.index - 1 }}" alt="{{ project[1] }}" class="img-fluid border-white-solid-thick fade">
                </div>
            </div>
            {% set k = k + 1 %}

            {% if k >= maxCol %}
                </div>
            {% endif %}
        {% elseif k >= maxCol %}
            {% set k = 0 %} 
            </div>
        {% endif %}
    {% endfor %}
    {% if k != maxCol %}
        {% for i in k..(maxCol - 1) %}
            <div class="col-sm p-4"></div>
        {% endfor %}
        </div>
    {% endif %}

{% endmacro %}











